- MongoDB C Driver 1.9.3-dev »
- Application Performance Monitoring (APM) »
- mongoc_apm_server_heartbeat_failed_t

# mongoc_apm_server_heartbeat_failed_get_duration()

## Synopsis

    int64_t
    mongoc_apm_server_heartbeat_failed_get_duration (
       const mongoc_apm_server_heartbeat_failed_t *event);

Returns this event’s duration in microseconds.

## Parameters

- `event`: A mongoc_apm_server_heartbeat_failed_t.

## Returns

The event’s duration.

## See Also

Introduction to Application Performance Monitoring

Created using Sphinx 1.6.6, based on Sphinx Readable Theme.